Subject: [PATCH v4 0/5] Memory mapped architected timers

From: [email-masked] (Stephen Boyd)
Date: Wed, 24 Jul 2013 13:32:53 -0700

On 07/22, Mark Rutland wrote:
> Hi Stephen,
> 
> On Fri, Jul 19, 2013 at 12:59:27AM +0100, Stephen Boyd wrote:
> > This patchset adds support for memory mapped architected timers. We
> > don't have any other global broadcast timer in our system, so we use the
> > mmio timer during low power modes. The first patch changes the register
> > accessor to an enum per Thomas' request. The second patch is the binding.
> > The next two patches lay some groundwork so that the last patch is simpler.
> > The final patch adds support for mmio timers.
> > 
> > Patches are based on v3.11-rc1.
> 
> Be aware that as of v3.11-rc2 this doesn't cleanly apply, as the
> __cpuinit removal broke the final patch's context in a couple of places.
> It would be nice to get rid of the new cpuinit additions too...
> 
> With that cleaned up locally, I've gave this a spin on tc2 and a
> Foundation model to test the cp15/system timers, hotplugging CPUs and
> running a basic test (`time sleep 5`). That all seems to work.
> 
> Unfortunately I have no way of testing the memory-mapped timer support,
> but I trust you've tested that locally.
> 
> For the series:
> 
> Acked-by: Mark Rutland <[email-masked]>
> 

Thanks Mark.

Daniel, can you pick up these patches please?

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
hosted by The Linux Foundation